## pingpong 0.01

=== debian/changelog ===
pingpong (0.01) unstable; urgency=low

  * Initial release.
  * Set up a skeleton package with the help of autoproject.
  * Set up a basic server. You can login, logout and do some basic chatting.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  9 Aug 2005 19:38:39 +0200
