=== debian/control ===
Source: pingpong
Section: hamradio
Priority: optional
Maintainer: Joop Stakenborg <pa3aba@debian.org>
Standards-Version: 3.6.2
Build-depends: libglib2.0-dev, debhelper (>=4)

Package: pingpong
Architecture: any
Depends: ${shlibs:Depends}
Description: Free server for Amateur Radio convers 
 Pingpong is an attempt to write a convers server for Amateur Radio which is
 really free. Pingpong is written from scratch with the help of glib.
